## org.omg.CORBA
Class ParDescriptionSeqHolder

    java.lang.Object
      |
      +--org.omg.CORBA.ParDescriptionSeqHolder

All Implemented Interfaces:
  Streamable

public final class ParDescriptionSeqHolder
extends java.lang.Object
implements Streamable

Holder class for : ParDescriptionSeq

Author:
  OpenORB Compiler

Field Summary
`ParameterDescription[]` `value` Internal ParDescriptionSeq value

Constructor Summary
`ParDescriptionSeqHolder()` Default constructor
`ParDescriptionSeqHolder(ParameterDescription[] initial)` Constructor with value initialisation

Method Summary
`void` `_read(InputStream istream)` Read ParDescriptionSeq from a marshalled stream
`TypeCode` `_type()` Return the ParDescriptionSeq TypeCode
`void` `_write(OutputStream ostream)` Write ParDescriptionSeq into a marshalled stream

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### value

    public ParameterDescription[] value

  Internal ParDescriptionSeq value

Constructor Detail

### ParDescriptionSeqHolder

    public ParDescriptionSeqHolder()

  Default constructor

### ParDescriptionSeqHolder

    public ParDescriptionSeqHolder(ParameterDescription[] initial)

  Constructor with value initialisation
  Parameters:
    `initial` - the initial value

Method Detail

### _read

    public void _read(InputStream istream)

  Read ParDescriptionSeq from a marshalled stream
  Specified by:
    `_read` in interface `Streamable`
  Parameters:
    `istream` - the input stream

### _write

    public void _write(OutputStream ostream)

  Write ParDescriptionSeq into a marshalled stream
  Specified by:
    `_write` in interface `Streamable`
  Parameters:
    `ostream` - the output stream

### _type

    public TypeCode _type()

  Return the ParDescriptionSeq TypeCode
  Specified by:
    `_type` in interface `Streamable`
  Returns:
    a TypeCode